#!/bin/sh

/usr/syno/bin/synopkg status ActiveBackup > /dev/null 2>&1
if [ $? -ne 0 ]; then #package is disable, just skip
	exit 0
fi

HOOK="/var/packages/ActiveBackup/target/bin/synoabk-hook"

case $1 in
        --name|--pkg-ver|--vendor)
                ${HOOK} package_info $1
        ;;

        --sdk-mod-ver)
                ${HOOK} dir_service --sdk-mod-ver;
        ;;

        --pre)
                ${HOOK} dir_service --pre-join
        ;;

        --post)
                ${HOOK} dir_service --post-join

        ;;

        *)
        ;;
esac
