#!/usr/bin/env python
#-*-coding: utf-8 -*-
# Copyright (c) 2019 Synology Inc. All rights reserved.

# copied from include/vmbk/defines.h
SNAPSHOT_NAME_PREFIX = 'CREATED_FOR_SYNOLOGY_ACTIVE_BACKUP_FOR_BUSINESS'
SNAPSHOT_DESC = 'This snapshot was created by Synology Active Backup for Business. Please do not remove it if you are not sure what you are doing.'
VM_SYNOABK_TEMP = '/tmp/synoabk/vm'
HYPERVISOR_SERVER_SOCKET = '/run/synoabk/hypervisor_server.sock'
VM_LOGGER_NAME = 'synoabk-hypervisor-server'

ATTR_ATIME	= "access time";
ATTR_MTIME	= "modification time";
ATTR_CTIME	= "create time";
ATTR_PERMS	= "permissions";
ATTR_UID	= "owner ID";
ATTR_GID	= "group ID";

# copied from ActiveBackup-core/lib/record/config_db.sql
import enum
class HostType(enum.Enum):
    NONE            = 0
    ESXi            = 1
    vCenter         = 2
    HyperV          = 3
    SystemCenter    = 4
    SCVMM           = 5
    FailoverCluster = 6

class pathStatus(enum.Enum):
    NOT_EXIST       = 0
    FILE            = 1
    DIR             = 2

import random, string

IdPrefixFolderNode = "folderNode"
IdPrefixClusterNode = "clusterNode"
IdPrefixHostNode = "hostNode"

def randomString(size=8):
    return ''.join([random.choice(string.ascii_letters + string.digits) for n in range(size)])
