#!/bin/sh

PKG_NAME="ActiveBackup"
PKG_VERSION="2.2.0"
PKG_VENDOR="Synology Inc."
SDK_MODVER="1.0"

VDISK_ENC_CMP=19
ACTIVE_BKP_ENCRYPT=25

case $1 in
    --sdk-mod-ver)
        echo ${SDK_MODVER}
        ;;
    --name)
        echo ${PKG_NAME}
        ;;
    --pkg-ver)
        echo ${PKG_VERSION}
        ;;
    --vendor)
        echo ${PKG_VENDOR}
        ;;
    --pre)
        ;;
    --post)
		if [ ${ACTIVE_BKP_ENCRYPT} -eq ${LUN_TYPE} ] ||
                [ ${VDISK_ENC_CMP} -eq ${LUN_TYPE} ]; then
			rm "${LUN_DEV_CONFIG#"synoabk/"}"
		fi
        ;;
    *)
        echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
        ;;
esac

