#!/usr/bin/sh
/usr/syno/bin/synopkg status ActiveBackup > /dev/null 2>&1
if [ $? -ne 0 ]; then #package is disable, just skip
	exit 0
fi

SETTING_CONG_PATH="/var/packages/ActiveBackup/target/etc/setting.conf"
REPO_VOLUME=$(/bin/cat ${SETTING_CONG_PATH} | /bin/jq -r -e '.conf_repo_volume_path')
if [ $? -ne 0 ];then
	exit 0
fi

if [ ${REPO_VOLUME} == ${1} ]; then
	echo "Active Backup for Business"
	exit 1
else
	exit 0
fi

